<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsVector3 Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_vector3.html">XsVector3</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a0832bbab634f57d9fcb1a5966ecbfb55">angularVelocityFromQuaternion</a>(const XsQuaternion &amp;quat, XsReal deltaT)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a3cbb4f97a4fc50381a2cbb4206197ca9">append</a>(XsVector const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a5beb327e40afab8412451c8273cb256c">assign</a>(XsSize sz, const XsReal *src)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a862f31efd08b4a6afb076ad9f205ceb0">at</a>(XsSize index)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#ab62f45bc6da75d4fb6a067f142876dbc">at</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a8d233a95a950bc1decf33fc05cc36438">cartesianLength</a>() const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#abf7ea0e3e4f9b3b71e6b9969abcfad35">clear</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a51fc1c477411b33f97472165b73795d5">compare</a>(const XsVector &amp;other, XsReal epsilon) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a772adda0d758bf01911d79333a9e8e9a">data</a>() const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#aede783e5d42510ca900fedb03785c5cc">dotProduct</a>(const XsVector &amp;v) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#afb1b4fbc07163a7b5fc52e795a2e0fa7">empty</a>() const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a7f024cfabfeb5a666b1a8c0faf8c7fef">fill</a>(XsReal val)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#afbb15145c7abdce44fed4aedb63b8b31">flags</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#aefc1e89b4045b52cf81c09cf6f6c5eb4">m_data</a></td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector3.html#aae33d33149f4cf8f1e2b24b18987b293">m_fixedData</a></td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a88814a1a56ec41bdb5a2a3152871a938">m_flags</a></td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a302af367307b1da94f90af0408fe20a8">m_size</a></td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a71be6087010ff667bead275af69c2125">normalize</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#aef5de4d70cf544c155c3eda9fb304ad8">operator*</a>(XsReal scalar) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#aa6ac5ea98c4b78d70d6464e9e1b3bab5">operator*=</a>(XsReal scalar)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a44cdf9e7f8470a813f2422ef71bed396">operator+</a>(const XsVector &amp;sub) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a207eb80f92a0aed5139b0f81adbdfd5f">operator-</a>(const XsVector &amp;sub) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector3.html#af2244741950242b469e28e4439d9f988">operator=</a>(const XsVector3 &amp;other)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#adced7976779acc04274f9c175d6eaa23">XsVector::operator=</a>(const XsVector &amp;other)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a4e65b3096a092a60a82832e7c9848e3d">operator==</a>(const XsVector &amp;other) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a612acd51a2a14c5f2405abc902c55d3e">operator[]</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a72d18c63de099e5b135d7010f000fedc">operator[]</a>(XsSize index)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#afe85d8aef53e23ed96ebe570af78b793">reverse</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#ac8917f40e072ad07e31c149986ea9a8d">setSize</a>(XsSize sz)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a1dfb4f7e57798e0bac30af2d49bd044c">setValue</a>(XsSize index, XsReal val)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a13ca733dfc284835822cac75e1c05307">setZero</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#aaabbbc34e9a84f0f923de05ebd2565e5">size</a>() const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a2338cc0778af57ef43a46d6ec7ce7d34">swap</a>(XsVector &amp;b)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#ac35c517ad69323e02be6fdfda2b9a97c">toVector</a>() const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a79106a9af236f142bf3d32f387ddc373">value</a>(XsSize index) const </td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a498096071bf9c8cb4add00d3fcd51adc">XsVector</a>(XsSize sz=0, const XsReal *src=0)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#ae97d0a58fb4cdbc1c66cd6d1829933dd">XsVector</a>(const XsVector &amp;other)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#ac7a879958cbd4afb679fbef25042cb87">XsVector</a>(XsReal *ref, XsSize sz, XsDataFlags flags_=XSDF_None)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a33b2989b338e5f14b5dc70a6c6dfac9b">XsVector</a>(const XsVector &amp;other, XsReal *ref, XsSize sz, XsDataFlags flags_=XSDF_None)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector.html#a1940a6cfb6a3da48b97a655e81b3152a">XsVector</a>(const XsQuaternion &amp;quat, XsReal deltaT)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector3.html#afb27417d536ed2dc83ecb3d953c3531e">XsVector3</a>()</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector3.html#a05957cc8baf2ea069e237e73ab6a8bd7">XsVector3</a>(XsVector3 const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector3.html#a0c5c17195993b07f6d4b771192ed3c5a">XsVector3</a>(XsVector const &amp;other)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector3.html#a9ae4383c9dab1e861669048237f95df0">XsVector3</a>(XsReal x, XsReal y, XsReal z)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga5fee30a3f5faf7de7db788a4dc6c3ba7">XsVector3_assign</a>(XsVector3 *, const XsReal *src)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gac5ac3a135a32e7a8656b8e79970029b3">XsVector3_construct</a>(XsVector3 *, const XsReal *src)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaf489613264450e41927680abe4006b8b">XsVector3_copy</a>(XsVector *copy, XsVector3 const *src)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga8e212d7063c29d64cb51f783350bf4e3">XsVector3_destruct</a>(XsVector3 *)</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga8c6ac21c4bbc663e10723e982150e1b7">XsVector_angularVelocityFromQuaternion</a>(XsVector *, XsReal deltaT, const XsQuaternion *quat)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gafd92f0315fa77840940cd63b25612f52">XsVector_assign</a>(XsVector *, XsSize sz, const XsReal *src)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga217ff6e4b3e3624cd6d93e7c4e7b61a3">XsVector_cartesianLength</a>(const XsVector *)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga0a1e64d3b81c43310b8daefefc7cf5dd">XsVector_compare</a>(const struct XsVector *, const struct XsVector *thatPtr, XsReal epsilon)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gafc0f6ef88463c27c0ebd5a16eea4d3b6">XsVector_construct</a>(XsVector *, XsSize sz, const XsReal *src)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gad5d7d3e5a0ba913181464ffda5cdda6c">XsVector_copy</a>(XsVector *copy, XsVector const *src)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaf82281540cbb4bf44e38d8c9dd455f9e">XsVector_destruct</a>(XsVector *)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga732086e0854c6c1218ca3d1fddc7722c">XsVector_dotProduct</a>(const XsVector *a, const XsVector *b)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga9aa653c9dadd824d94c9a5ba32ce6b15">XsVector_empty</a>(const XsVector *)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga5ff1df86948c024ea56939838641a05e">XsVector_equal</a>(const struct XsVector *a, const struct XsVector *b)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga54c1f360ee7560c392a7b3d09ba3d5d4">XsVector_fill</a>(struct XsVector *, XsReal value)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gadf11db4e898c308aee2929a1f63582c4">XsVector_multiplyScalar</a>(const XsVector *, XsReal scalar, XsVector *dest)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga818a7f64ed8e20d0ee70067e31b489c0">XsVector_normalize</a>(XsVector *)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga028d330e7bb01b01b7ac831c4fe47b71">XsVector_ref</a>(XsVector *, XsSize sz, XsReal *buffer, XsDataFlags flags)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga8c124e7419bf63e2d3e1682504ca8ff7">XsVector_setZero</a>(XsVector *)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga7097bb62e03b0dd0bf57efcb2fa54e7e">XsVector_swap</a>(XsVector *a, XsVector *b)</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#abd8dc1b38f92bf45a47112821fe8fb85">zero</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_vector3.html#a211bf1f098e6ac16273126bee17c4603">zero3</a>()</td><td class="entry"><a class="el" href="struct_xs_vector3.html">XsVector3</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_vector.html#a08ed04b76bcceebc3c2316cf8910cf39">~XsVector</a>()</td><td class="entry"><a class="el" href="struct_xs_vector.html">XsVector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
